List contract templates
curl --request GET \
--url https://api.dualentry.com/public/v2/contract-templates/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/contract-templates/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/contract-templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v2/contract-templates/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v2/contract-templates/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v2/contract-templates/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v2/contract-templates/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"obligation_defaults": [
{
"id": 123,
"item_id": 123,
"item_name": "<string>",
"term_id": 123,
"recognition_strategy": "straight_line",
"billing_frequency": "one_time",
"billing_interval": 123,
"recognition_frequency": "daily",
"recognition_interval": 123,
"billing_mode": "period",
"sync_billing_with_recognition": true,
"discount_type": "PERCENTAGE",
"skip_invoice_generation": true
}
],
"company_id": 123,
"customer_id": 123,
"currency_iso_4217_code": "<string>",
"memo": "<string>",
"term_id": 123,
"default_ar_account_id": 123,
"billing_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"billing_anchor_weekday": 123,
"recognition_anchor_weekday": 123,
"payment": {
"type": "<string>",
"id": 123,
"body": "<string>",
"link": "<string>"
}
}
],
"count": 123
}Contract Templates
List contract templates
List the contract templates that you can access. When you send no status, the list returns active templates.
GET
/
public
/
v2
/
contract-templates
/
List contract templates
curl --request GET \
--url https://api.dualentry.com/public/v2/contract-templates/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/contract-templates/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/contract-templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v2/contract-templates/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v2/contract-templates/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v2/contract-templates/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v2/contract-templates/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"obligation_defaults": [
{
"id": 123,
"item_id": 123,
"item_name": "<string>",
"term_id": 123,
"recognition_strategy": "straight_line",
"billing_frequency": "one_time",
"billing_interval": 123,
"recognition_frequency": "daily",
"recognition_interval": 123,
"billing_mode": "period",
"sync_billing_with_recognition": true,
"discount_type": "PERCENTAGE",
"skip_invoice_generation": true
}
],
"company_id": 123,
"customer_id": 123,
"currency_iso_4217_code": "<string>",
"memo": "<string>",
"term_id": 123,
"default_ar_account_id": 123,
"billing_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"billing_anchor_weekday": 123,
"recognition_anchor_weekday": 123,
"payment": {
"type": "<string>",
"id": 123,
"body": "<string>",
"link": "<string>"
}
}
],
"count": 123
}Authorizations
Query Parameters
Tab: active or archived
Available options:
active, archived Filter by name (DB icontains)
Number of records to return per page (capped at 100)
Required range:
x >= 1Number of records to skip before starting to return results
Required range:
x >= 0Was this page helpful?